{% extends "layouts/base.html" %}
{% load static don_extras %}

{% block content %}
<div class="page-homepage">
    <div class="hero py-xl">
        <div class="hero--bg">
            <img src="{% static 'images/hero_bg.webp' %}">
        </div>
        <div class="container">
            <div class="hero__intro">
                <h1 class="hero__intro__heading">Eén centrale plek voor de developer die voor of met de overheid
                    ontwikkelt</h1>
                <p class="hero__intro__subtitle">
                    Handige bronnen en de community
                    voor de ontwikkeling van jouw digitale services.
                </p>
            </div>
            <div class="hero__content">
                <a href="https://community.developer.overheid.nl/" class="card card--call-to-action" target="_blank" rel="noopener noreferrer"  aria-label="Onze community">
                    <div class="card__icon">
                        <svg width="60" height="60">
                            <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-messages" />
                        </svg>
                    </div>
                    <h2 class="card__title">Onze community</h2>
                    <p class="card__description">Ga in gesprek met andere developers en vind hier getting started guides, tutorials en tools.</p>
                    <div class="card__footer">
                        <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none"
                            xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                            <path
                                d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z"
                            />
                        </svg>
                        <span class="card__footer__text">Naar community</span>
                    </div>
                </a>
                <a href="{% url 'web:api_list' %}" class="card card--call-to-action">
                    <div class="card__icon">
                        <svg width="60" height="60">
                            <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-affiliate" />
                        </svg>
                    </div>
                    <h2 class="card__title">Vind een API</h2>
                    <p class="card__description">Bekijk welke API's er allemaal zijn en kom er achter hoe je jouw
                        oplossing hier op kan laten aansluiten.</p>
                    <div class="card__footer">
                        <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none"
                            xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                            <path
                                d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z"
                             />
                        </svg>
                        <span class="card__footer__text">Zoek API's</span>
                    </div>
                </a>
                <a href="{% url 'web:repository_list' %}"
                    class="card card--call-to-action">
                    <div class="card__icon">
                        <svg width="60" height="60">
                            <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-notebook" />
                        </svg>
                    </div>
                    <h2 class="card__title">Vind een repository</h2>
                    <p class="card__description">Vind bestaande repository's om bij aan te haken en ontdek wat er binnen
                        welke organisatie beschikbaar is.</p>
                    <div class="card__footer">
                        <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none"
                            xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                            <path
                                d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z"
                            />
                        </svg>
                        <span class="card__footer__text">Zoek repository's</span>
                    </div>
                </a>
            </div>
        </div>
    </div>
    {% if article_list %}
    <div class="container my-xl">
        <h2>Laatste artikelen</h2>
        {% include "partials/article_list.html" with columns=3 %}
        <a href="{% url 'web:article_list' %}" class="button">
            Bekijk alle artikelen
        </a>
    </div>
    {% endif %}
</div>
{% endblock %}
